import { OnDestroy, OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class DlsFeedbackComponent implements OnInit, OnDestroy {
    private readonly fb;
    displayName: string;
    title: string;
    helpDeskEmail: string;
    helpDeskDepartment: string;
    onClickfeedback$: Subject<void>;
    rateFeedback$: Subject<number>;
    onSelectCategory$: Subject<string>;
    submit$: Subject<void>;
    form: FormGroup;
    satisfied: number;
    selectedCategory: string;
    isShowFeedback: boolean;
    categories: string[];
    submitButtonClicked: boolean;
    maximumCharacter: number;
    private readonly destroy$;
    constructor(fb: FormBuilder);
    ngOnInit(): void;
    ngOnDestroy(): void;
    get getFeedback(): import("@angular/forms").AbstractControl<any, any> | null;
    private initForm;
    private handleClickFeedback;
    private handleRateFeedback;
    private handleSelectCategory;
    private handleClickSubmit;
    private validateForm;
    private resetForm;
    static ɵfac: i0.ɵɵFactoryDeclaration<DlsFeedbackComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DlsFeedbackComponent, "dls-feedback", never, { "displayName": "displayName"; "title": "title"; "helpDeskEmail": "helpDeskEmail"; "helpDeskDepartment": "helpDeskDepartment"; }, {}, never, never, false>;
}
